IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fco_alta_traslados_fpo]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fco_alta_traslados_fpo
GO
CREATE PROCEDURE dbo.sp_fco_alta_traslados_fpo(
@i_compania		char(4),
@i_trabajador		char(10),
@i_fpo_actual		char(10),
@i_fpo_nueva		char(10),
@i_fecha_cambio		smalldatetime
)
AS
BEGIN
	BEGIN TRANSACTION
	INSERT INTO fco_traslados_fpo 
    (compania, trabajador, FPO_actual, FPO_nueva, fecha_cambio, estado)
    VALUES 
	(@i_compania, @i_trabajador, @i_fpo_actual, @i_fpo_nueva, @i_fecha_cambio, 0)
	IF @@error <> 0
	  BEGIN
	    ROLLBACK TRANSACTION 
	    RAISERROR 206800 'Error al tratar de insertar en la tabla [fco_traslados_fpo]'  
	    RETURN 
	  END
	ELSE
	BEGIN
  		COMMIT TRANSACTION 
	END
END
GO
GRANT EXECUTE ON sp_fco_alta_traslados_fpo TO Public
GO